[ERROR] allow_url_fopen must be enabled in php.ini and [ERROR] ZipArchive must be available

  • Hi:

    Uploaded Pagekit v1.0.13 but am getting two (2) errors:-

    • [ERROR] allow_url_fopen must be enabled in php.ini, and
    • [ERROR] ZipArchive must be available


    • cPanel MultiPHP INI Editor shows "allow_url_fopen" as Enabled (see screenshot attached), and
    • Hosting company Tech Supports says Zip is already installed to the server

    Any ideas as to the solution?

    Thanks & regards … Peter K

  • Hi:

    Thanks for the prompt response.

    Link to file is here -> info.php (I'll delete it after we get this issue resolved).

    File output says that allow_url_fopen = OFF (but that contradicts the setting showing in cPanel's MultiPHP INI Editor as per screenshot in initial post) ??.

    And when I search on "zip" in the file output I get two (2) occurrences:-

    • Under Configure Command | '--enable-zip=shared'
    • Under Phar | ZIP-based phar archives = enabled
  • Hi pkortge  :)

    Well - you need to contact your provider. The phpinfo is never wrong ;) That's the environment Pagekit is running on - and allow_url_fopen is required but off and zip is not active (you are referencing to phar's ZIP-based phar archives).

    In this case we can not help you - but once your provider changed the settings, you are invited to join us for all kinds of questions :)